## NAME

v.net.flow - Computes the maximum flow between two sets of nodes in the network.

## KEYWORDS

vector, network, flow

## SYNOPSIS

v.net.flow
v.net.flow --help
v.net.flow input=name [arc_layer=string] [node_layer=string] output=name cut=name [arc_column=name] [arc_backward_column=name] [node_column=name] [source_cats=range] [source_where=sql_query] [sink_cats=range] [sink_where=sql_query] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
arc_layer=string
  Arc layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
node_layer=string
  Node layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 2
output=name [required]
  Name for output vector map
cut=name [required]
  Name for output vector map containing a minimum cut
arc_column=name
  Arc forward/both direction(s) cost column (number)
arc_backward_column=name
  Arc backward direction cost column (number)
node_column=name
  Node cost column (number)
source_cats=range
  Source category values
  Example: 1,3,7-9,13
source_where=sql_query
  Source WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000
sink_cats=range
  Sink category values
  Example: 1,3,7-9,13
sink_where=sql_query
  Sink WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000

## DESCRIPTION

v.net.flow computes the maximum flow and minimum cut between two sets of nodes.

## NOTES

The two sets of nodes are called sources and sink and v.net.flow finds the maximum flow from the former to the latter ones. Edge capacities can be specified by arc_column for forward direction and arc_backward_column for backward direction. If the latter parameter is omitted then the same capacity is used in either direction. The sets are given by the respective cats, layer and where parameters. Maximum flow corresponds to the maximum amount of water possibly flowing through the network preserving the capacity constraints and minimum cut to the set of edges of minimum total capacity completely separating sources from sinks. The cut produced by this module corresponds to the first fully saturated edges from sources to sinks. An attribute table containing the flow information is linked to the output map. The table consists of two columns: cat and flow and stores the flow along each line. Negative flow means that "water" is flowing in the backward direction. Cut map contains the edges in the minimum cut.
A famous result says that the total amount of water flowing is equal to the minimum cut.

## EXAMPLES

Find maximum flow from factories to stores using SPEED for the capacities.

    v.net.flow input=roads output=roads_flow cut=roads_cut arc_column=SPEED \
               source_where="type=factory" sink_where="type=store"

If all the capacties are one then the minimum cut corresponds to the minimum number of edges separating sources from sinks.

    v.net.flow input=network output=flow cut=cut arc_column=ones \
               source_cats=1-10 sink_cats=100-100

## SEE ALSO

v.net, v.net.connectivity

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

## SOURCE CODE

Available at: v.net.flow source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.2 Reference Manual